- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Functions

# qatomic_symbian.h File Reference

`#include <QtCore/qglobal.h>`
`#include <e32std.h>`

Go to the source code of this file.

## Defines
#define | Q_ATOMIC_INT_REFERENCE_COUNTING_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_INT_TEST_AND_SET_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_STORE_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_INT_FETCH_AND_ADD_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_POINTER_TEST_AND_SET_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_SOMETIMES_NATIVE
#define | Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_SOMETIMES_NATIVE
## Functions
Q_CORE_EXPORT bool | QBasicAtomicPointer_isTestAndSetNative ()
Q_CORE_EXPORT bool | QBasicAtomicPointer_isFetchAndStoreNative ()
Q_CORE_EXPORT bool | QBasicAtomicPointer_isFetchAndAddNative ()
Q_CORE_EXPORT bool | QBasicAtomicInt_testAndSetOrdered (volatile int *, int, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndStoreOrdered (volatile int *, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndAddOrdered (volatile int *, int)
Q_CORE_EXPORT bool | QBasicAtomicInt_testAndSetRelaxed (volatile int *, int, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndStoreRelaxed (volatile int *, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndAddRelaxed (volatile int *, int)
Q_CORE_EXPORT bool | QBasicAtomicInt_testAndSetAcquire (volatile int *, int, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndStoreAcquire (volatile int *, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndAddAcquire (volatile int *, int)
Q_CORE_EXPORT bool | QBasicAtomicInt_testAndSetRelease (volatile int *, int, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndStoreRelease (volatile int *, int)
Q_CORE_EXPORT int | QBasicAtomicInt_fetchAndAddRelease (volatile int *, int)
Q_CORE_EXPORT bool | QBasicAtomicPointer_testAndSetOrdered (void *volatile *, void *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndStoreOrdered (void *volatile *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndAddOrdered (void *volatile *, qptrdiff)
Q_CORE_EXPORT bool | QBasicAtomicPointer_testAndSetRelaxed (void *volatile *, void *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndStoreRelaxed (void *volatile *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndAddRelaxed (void *volatile *, qptrdiff)
Q_CORE_EXPORT bool | QBasicAtomicPointer_testAndSetAcquire (void *volatile *, void *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndStoreAcquire (void *volatile *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndAddAcquire (void *volatile *, qptrdiff)
Q_CORE_EXPORT bool | QBasicAtomicPointer_testAndSetRelease (void *volatile *, void *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndStoreRelease (void *volatile *, void *)
Q_CORE_EXPORT void * | QBasicAtomicPointer_fetchAndAddRelease (void *volatile *, qptrdiff)

## Define Documentation

#define Q_ATOMIC_INT_REFERENCE_COUNTING_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 54 of file qatomic_symbian.h.

#define Q_ATOMIC_INT_TEST_AND_SET_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 59 of file qatomic_symbian.h.

#define Q_ATOMIC_INT_FETCH_AND_STORE_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 64 of file qatomic_symbian.h.

#define Q_ATOMIC_INT_FETCH_AND_ADD_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 69 of file qatomic_symbian.h.

#define Q_ATOMIC_POINTER_TEST_AND_SET_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 74 of file qatomic_symbian.h.

#define Q_ATOMIC_POINTER_FETCH_AND_STORE_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 84 of file qatomic_symbian.h.

#define Q_ATOMIC_POINTER_FETCH_AND_ADD_IS_SOMETIMES_NATIVE

Search for all occurrences

Definition at line 94 of file qatomic_symbian.h.

## Function Documentation

Q_CORE_EXPORT bool QBasicAtomicPointer_isTestAndSetNative | ( |  | ) |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_isFetchAndStoreNative | ( |  | ) |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_isFetchAndAddNative | ( |  | ) |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicInt_testAndSetOrdered | ( | volatile int * | ,
|  | int | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndStoreOrdered | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndAddOrdered | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicInt_testAndSetRelaxed | ( | volatile int * | ,
|  | int | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndStoreRelaxed | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndAddRelaxed | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicInt_testAndSetAcquire | ( | volatile int * | ,
|  | int | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndStoreAcquire | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndAddAcquire | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicInt_testAndSetRelease | ( | volatile int * | ,
|  | int | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndStoreRelease | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT int QBasicAtomicInt_fetchAndAddRelease | ( | volatile int * | ,
|  | int |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_testAndSetOrdered | ( | void *volatile * | ,
|  | void * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndStoreOrdered | ( | void *volatile * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndAddOrdered | ( | void *volatile * | ,
|  | qptrdiff |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_testAndSetRelaxed | ( | void *volatile * | ,
|  | void * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndStoreRelaxed | ( | void *volatile * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndAddRelaxed | ( | void *volatile * | ,
|  | qptrdiff |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_testAndSetAcquire | ( | void *volatile * | ,
|  | void * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndStoreAcquire | ( | void *volatile * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndAddAcquire | ( | void *volatile * | ,
|  | qptrdiff |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT bool QBasicAtomicPointer_testAndSetRelease | ( | void *volatile * | ,
|  | void * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndStoreRelease | ( | void *volatile * | ,
|  | void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void* QBasicAtomicPointer_fetchAndAddRelease | ( | void *volatile * | ,
|  | qptrdiff |
| ) |  |

Search for all occurrences